import { AiConfig } from "./ai-config.entity";

export interface AiServiceAdapter {
  generateText(model: string, prompt: string, config?: Record<string, any>): Promise<string>;
  chat(model: string, messages: Array<{role: string, content: string}>, config?: Record<string, any>): Promise<string>;
}
